## gmime

gmime — Initialization, shutdown and version-check routines

## Functions

#define | GMIME_CHECK_VERSION()
void | g_mime_init ()
void | g_mime_shutdown ()
gboolean | g_mime_check_version ()

## Types and Values

#define | GMIME_MAJOR_VERSION
#define | GMIME_MICRO_VERSION
#define | GMIME_MINOR_VERSION
#define | GMIME_BINARY_AGE
#define | GMIME_INTERFACE_AGE
extern const guint | gmime_major_version
extern const guint | gmime_minor_version
extern const guint | gmime_micro_version
extern const guint | gmime_binary_age
extern const guint | gmime_interface_age

## Description

Initialization, shutdown, and version-check functions.

## Functions

### GMIME_CHECK_VERSION()

    #define             GMIME_CHECK_VERSION(major,minor,micro)

Check whether a GMime version equal to or greater than `major` .`minor` .`micro` is present.

#### Parameters

major | Minimum major version |
minor | Minimum minor version |
micro | Minimum micro version |

### g_mime_init ()

    void
    g_mime_init (void);

Initializes GMime.

### g_mime_shutdown ()

    void
    g_mime_shutdown (void);

Frees internally allocated tables created in `g_mime_init()`.

### g_mime_check_version ()

    gboolean
    g_mime_check_version (guint major,
                          guint minor,
                          guint micro);

Checks that the GMime library version meets the requirements of the required version.

#### Parameters

major | Minimum major version |
minor | Minimum minor version |
micro | Minimum micro version |

#### Returns

`TRUE` if the requirement is met or `FALSE` otherwise.

## Types and Values

### GMIME_MAJOR_VERSION

    #define GMIME_MAJOR_VERSION (3U)

GMime's major version.

### GMIME_MICRO_VERSION

    #define GMIME_MICRO_VERSION (7U)

GMime's micro version.

### GMIME_MINOR_VERSION

    #define GMIME_MINOR_VERSION (2U)

GMime's minor version.

### GMIME_BINARY_AGE

    #define GMIME_BINARY_AGE    (207U)

GMime's binary age.

### GMIME_INTERFACE_AGE

    #define GMIME_INTERFACE_AGE (1U)

GMime's interface age.

### gmime_major_version

    extern const guint gmime_major_version;

GMime's major version.

### gmime_minor_version

    extern const guint gmime_minor_version;

GMime's minor version.

### gmime_micro_version

    extern const guint gmime_micro_version;

GMime's micro version.

### gmime_binary_age

    extern const guint gmime_binary_age;

GMime's binary age.

### gmime_interface_age

    extern const guint gmime_interface_age;

GMime's interface age.